/* TODO: figure out how to handle linux framebuffer case - need to call the gdk-fb specific handle_mouse_movement() function in gdkmouse-fb.c ... that gets ugly fast .. */

#ifndef _WIN32

#include <gdk/gdk.h>
#include <gdk/gdkx.h>
#include <X11/X.h>

 GdkWindow*
gdk_window_set_pointer (GdkWindow       *window,
                       gint            x,
                       gint            y)
{
  GdkWindow *return_val;

  return_val = NULL;
  XWarpPointer (GDK_WINDOW_XDISPLAY(window), None, GDK_WINDOW_XID(window), 0, 0, 0, 0, x, y);

  return return_val;
}

#else

/* untested code based on MSDN library code... URL is :

                  http://msdn.microsoft.com/library/default.asp?url=/library/
                  en-us/winui/winui/windowsuserinterface/resources/cursors/
                  usingcursors.asp         

Someone who codes on Windows want to tell me how to actually make this work??

*/

#include <gdk/gdk.h>
#include <gdk/gdkwin32.h>
#include <windows.h>

 GdkWindow*
gdk_window_set_pointer (GdkWindow       *window,
                       gint            x,
                       gint            y)
{
	GdkWindow *return_val;
	POINT pt;
	pt.x = x;
	pt.y = y;
	ClientToScreen(GDK_WINDOW_HWND(window), &pt);
	SetCursorPos(pt.x, pt.y);
	return_val = NULL;
	return return_val;
}

#endif

